Name:           animal-sniffer
Version:        1.7
Release:        3%{?dist}
Summary:        Tools to assist verifying backward compatibility of Java classes

Group:          Development/Tools
License:        MIT
URL:            http://mojo.codehaus.org/animal-sniffer/

Source0:        http://repo1.maven.org/maven2/org/codehaus/mojo/animal-sniffer-parent/1.7/animal-sniffer-parent-1.7-source-release.zip
Source1:        %{name}.sh

# these should be upstreamable after some cleanup and verification
Patch0:         0001-Add-maven-3-compatibility.patch
Patch1:         0002-Replace-ArtifactUtils.artifactId-with-local-code.patch
Patch2:         0003-Remove-catch-for-unthrown-PlexusConfigurationExcepti.patch

BuildArch:      noarch

BuildRequires:  maven
BuildRequires:  maven-install-plugin
BuildRequires:  maven-enforcer-plugin
BuildRequires:  maven-invoker-plugin
BuildRequires:  maven-site-plugin
BuildRequires:  maven-shade-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-surefire-provider-junit
BuildRequires:  maven-surefire-provider-junit4
BuildRequires:  maven-plugin-plugin
BuildRequires:  maven-plugin-cobertura
BuildRequires:  maven-plugin-build-helper
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-compiler-plugin
BuildRequires:  plexus-containers-component-javadoc
BuildRequires:  mojo-parent

Requires:       maven
Requires:       objectweb-asm
Requires:       ant
Requires:       mojo-signatures

Requires:       java >= 1:1.6.0

%description
Tools to assist verifying that classes compiled with a newer JDK/API
are compatible with an older JDK/API

%package        javadoc
Summary:        API documentation for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description    javadoc
%{summary}.

%prep
%setup -q -n %{name}-parent-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1


%build
mvn-rpmbuild install javadoc:aggregate

%install
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -pm 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/%{name}

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

%add_to_maven_depmap org.codehaus.mojo %{name}-parent %{version} JPP/%{name} parent
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-parent.pom

install -pm 644 %{name}/target/%{name}-*.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}.jar
%add_to_maven_depmap org.codehaus.mojo %{name} %{version} JPP/%{name} %{name}
install -pm 644 %{name}/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-%{name}.pom

install -pm 644 %{name}-annotations/target/%{name}-*.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/annotations.jar
%add_to_maven_depmap org.codehaus.mojo %{name}-annotations %{version} JPP/%{name} annotations
install -pm 644 %{name}-annotations/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-annotations.pom

install -pm 644 %{name}-ant-tasks/target/original-%{name}-ant-tasks-*.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/ant-tasks-.jar
%add_to_maven_depmap org.codehaus.mojo %{name}-ant-tasks %{version} JPP/%{name} ant-tasks
install -pm 644 %{name}-ant-tasks/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-ant-tasks.pom

install -pm 644 %{name}-enforcer-rule/target/%{name}-enforcer-rule*.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/enforcer-rule.jar
%add_to_maven_depmap org.codehaus.mojo %{name}-enforcer-rule %{version} JPP/%{name} enforcer-rule
install -pm 644 %{name}-enforcer-rule/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-enforcer-rule.pom

install -pm 644 %{name}-maven-plugin/target/%{name}-maven-plugin*.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/maven-plugin.jar
%add_to_maven_depmap org.codehaus.mojo %{name}-maven-plugin %{version} JPP/%{name} maven-plugin
install -pm 644 %{name}-maven-plugin/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-maven-plugin.pom

install -pm 644 java-boot-classpath-detector/target/java-boot-classpath-detector*.jar $RPM_BUILD_ROOT%{_javadir}/java-boot-classpath-detector.jar
%add_to_maven_depmap org.codehaus.mojo java-boot-classpath-detector %{version} JPP java-boot-classpath-detector
install -pm 644 java-boot-classpath-detector/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-java-boot-classpath-detector.pom

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%{_bindir}/%{name}
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/%{name}
%{_javadir}/%{name}
%{_javadir}/*.jar

%files javadoc
%doc %{_javadocdir}/%{name}

%changelog
* Fri Mar  2 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> 1.7-3
- Add surefire junit4 provider to BR

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jul 26 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.7-1
- Update to latest upstream (1.7)
- Add fixes for maven3 only buildroot

* Thu Jun 9 2011 Alexander Kurtakov <akurtako@redhat.com> 1.6-8
- Build with maven 3.x.
- Use upstream source.
- Guidelines fixes.

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Nov 22 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.6-6
- Fix main pom filename (Resolves rhbz#655786)

* Mon Oct 11 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.6-5
- Add mojo-signatures to Requires

* Fri Oct  1 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.6-4
- Remove jtidy depmap (not needed anymore)

* Fri Sep 17 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.6-3
- Add asm-all dependency to maven plugin
- Add jtidy depmap

* Fri Sep 17 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.6-2
- Un-comment mojo-parent BR forgotten from testing

* Mon Sep  6 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.6-1
- Initial version of the package
